Page 2 of 2

Re: Build rpm package mapserver 7.6.2

Posted: 2021/03/10 15:30:56
by sml
EPEL 7 has GDAL 1.11.4, and as you can see MapServer 7.6.2 cannot be built with that version. Fedora Rawhide currently has gdal 3.2.1 and proj 7.2.1, Fedora 28 had gdal 2.2.4 and proj 4.9.3.

Re: Build rpm package mapserver 7.6.2

Posted: 2021/03/10 17:15:34
by TrevorH
EPEL8 has gdal 3.0.4-5.el8

Re: Build rpm package mapserver 7.6.2

Posted: 2021/03/12 11:42:48
by ElNinijo
CAN I use EPEL 8 for centos 7? I have never done it earlier so i ask

Re: Build rpm package mapserver 7.6.2

Posted: 2021/03/12 13:42:23
by sml
Not directly. But you can take a source RPM from EPEL 8, and try to rebuild it for CentOS 7.

Re: Build rpm package mapserver 7.6.2

Posted: 2021/03/12 13:46:18
by ElNinijo
OK, i will try on my won but let me know if i will have a problem can i ask you about help?

my experience in building package is very poor that's way

@sml can you share your spec file after modfied (disable some option etc), i wanna compare it with mine?

Re: Build rpm package mapserver 7.6.2

Posted: 2021/08/05 17:36:53
by ElNinijo
After long time I try to research deepper process build package. I found solution to build rpm package with the newest version mapserver for centos 7. When i back from holiday i will install it in production.

Big thx 4all for help. If someone need rpm package with mapserver just write i will share with you

Re: [SOLVED]Build rpm package mapserver 7.6.2

Posted: 2022/06/22 16:24:08
by bogdanmt
Hi ElNinijo,

Would you be so kind to share your solution with us? I need to compile Mapserver 7.6.4 for CentOS 7 as well. Can you send me the spec file, please?

Thank you very much!